﻿using Syncfusion.UI.Xaml.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfTestingSample.Model;

namespace WpfTestingSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            var detailsViewGridColumns = (this.DataContext as ViewModel).SfGridColumns;
            if (this.chkAddColumn.IsChecked == true)
                detailsViewGridColumns.Add(new GridTextColumn() { MappingName = "EmployeeArea" });
            else
                detailsViewGridColumns.RemoveAt(detailsViewGridColumns.Count - 1);
        }
    }
}
