﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfTestingSample.Model
{
    class BusinessObjects : INotifyPropertyChanged
    {
        private int _eId;
        public int EmployeeId
        {
            get
            {
                return _eId;
            }
            set
            {
                _eId = value;
                OnPropertyChanged("EmployeeId");
            }
        }

        //private string _ename;
        //public string EmployeeName
        //{
        //    get
        //    {
        //        return _ename;
        //    }
        //    set
        //    {
        //        _ename = value;
        //        OnPropertyChanged("EmployeeName");
        //    }
        //}

        //private int _eage;
        //public int EmployeeAge
        //{
        //    get
        //    {
        //        return _eage;
        //    }
        //    set
        //    {
        //        _eage = value;
        //        OnPropertyChanged("EmployeeAge");
        //    }
        //}

        //private string _earea;
        //public string EmployeeArea
        //{
        //    get
        //    {
        //        return _earea;
        //    }
        //    set
        //    {
        //        _earea = value;
        //        OnPropertyChanged("EmployeeArea");
        //    }
        //}

        private string _egender;
        public string EmployeeGender
        {
            get
            {
                return _egender;
            }
            set
            {
                _egender = value;
                OnPropertyChanged("EmployeeGender");
            }
        }

        private int _eExpInMonth;
        public int ExperienceInMonth
        {
            get
            {
                return _eExpInMonth;
            }
            set
            {
                _eExpInMonth = value;
                OnPropertyChanged("ExperienceInMonth");
            }
        }

        private double _esalary;
        public double EmployeeSalary
        {
            get
            {
                return _esalary;
            }
            set
            {
                _esalary = value;
                OnPropertyChanged("EmployeeSalary");
            }
        }

        private DateTime _edatetime;
        public DateTime EmployeeDate
        {
            get
            {
                return _edatetime;
            }
            set
            {
                _edatetime = value;
                OnPropertyChanged("EmployeeDate");
            }
        }

        private List<Employee> _eDetails;
        public List<Employee> EmployeeDetails
        {
            get
            {
                return _eDetails;
            }
            set
            {
                _eDetails = value;
                OnPropertyChanged("EmployeeDetails");
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }

    public class Employee : INotifyPropertyChanged
    {
        private int _eId;
        public int EmployeeId
        {
            get
            {
                return _eId;
            }
            set
            {
                _eId = value;
                OnPropertyChanged("EmployeeId");
            }
        }

        private string _ename;
        public string EmployeeName
        {
            get
            {
                return _ename;
            }
            set
            {
                _ename = value;
                OnPropertyChanged("EmployeeName");
            }
        }

        private int _eage;
        public int EmployeeAge
        {
            get
            {
                return _eage;
            }
            set
            {
                _eage = value;
                OnPropertyChanged("EmployeeAge");
            }
        }

        private string _earea;
        public string EmployeeArea
        {
            get
            {
                return _earea;
            }
            set
            {
                _earea = value;
                OnPropertyChanged("EmployeeArea");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(string PropertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(PropertyName));
        }
    }

}
